/*
 * globals.h
 *
 *  Created on: Apr 18, 2021
 *      Author: 15077
 */

#ifndef USER_GLOBALS_H_
#define USER_GLOBALS_H_
#include "CH56x_common.h"

#define USB30_PIPE0_IN  0
#define USB30_PIPE1_IN  1
#define USB30_PIPE2_IN  2
#define USB30_PIPE3_IN  3
#define USB30_PIPE4_IN  4
#define USB30_PIPE5_IN  5
#define USB30_PIPE6_IN  6
#define USB30_PIPE7_IN  7
#define USB30_PIPE0_OUT 8
#define USB30_PIPE1_OUT 9
#define USB30_PIPE2_OUT 10
#define USB30_PIPE3_OUT 11
#define USB30_PIPE4_OUT 12
#define USB30_PIPE5_OUT 13
#define USB30_PIPE6_OUT 14
#define USB30_PIPE7_OUT 15
#define USB30_ITP_INT   16
#define USB30_DBG_COUNT1   17
#define USB30_DBG_COUNT2   18
#define USB30_DBG_COUNT3   19
#define USB30_DBG_COUNT4   20
#define USB30_DBG_COUNT5   21
#define USB30_DBG_COUNT6   22
#define USB30_DBG_COUNT7   23
#define USB30_DBG_COUNT8   24
#define MAX_USB30_DBG_COUNT 25



void InitUSB30Debug();
extern int g_usb30_INT_count[MAX_USB30_DBG_COUNT];
void PrintUSB30IntStats();


void USB30LinkLog(uint32_t linkIntFlag, uint32_t errStatus, uint32_t linkIntReg);
void PrintUSB30LinkLog();

#define TMR1_CLK_FREQ 1000
extern uint32_t g_tickCount;
#endif /* USER_GLOBALS_H_ */
