//@author:xuke
//@date:2022/02/14
//@function:add some useful utilization routines
#include "util.h"
void ResetSysTick()
{
    SysTick->CMP = 0xFFFFFFFFFFFFFFFF;

    //1<<8, "ؼ"Ĵֵµ""ĴС
    //1<<2, HCLKʱ
    SysTick->CTLR = (1<<8)|(1<<2)|(1<<0);
}

void DelayInMs(uint32_t ms)
{
    uint64_t end = GetSysTick() - FREQ_SYS/1000*ms;

    while(GetSysTick() > end);
}


void DelayInUs(uint32_t us)
{
    uint64_t end = GetSysTick() - FREQ_SYS/1000000*us;

    while(GetSysTick() > end);

}
